Subject: Re: [PATCH 2.6.9-rc4 2/3] ns83820: move eeprom.h and clean up

From: Jeff Garzik <[email-masked]>
Date: Fri, 15 Oct 2004 19:44:22 -0400

Stephen Hemminger wrote:
> The file linux/eeprom.h was only being used by the ns83820 driver,
> and it contained non-inline functions in a .h file.  This patch 
> fixes that and:
> 	* Only two functions are actually used (and only used once)
> 	  so ditch the rest and make those inline.
> 	* EEprom is in iomemory space so get rid of the warnings.
> 	
> Compiles but I don't have this hardware, so it has not been tested.
> 
> Signed-off-by: Stephen Hemminger <[email-masked]>

actually, Ben's idea with linux/eeprom.h was to stop duplicating the 
same eeprom logic in each driver, and centralize it instead.

Did you look at trying to do that?

	Jeff